Package io.prestosql.jdbc

## Class PrestoArray

- java.lang.Object
- - io.prestosql.jdbc.PrestoArray

All Implemented Interfaces:
  `java.sql.Array`

    public class PrestoArray
    extends java.lang.Object
    implements java.sql.Array

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`java.lang.Object` `getArray()`
`java.lang.Object` `getArray​(long index, int count)`
`java.lang.Object` `getArray​(long index, int count, java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.lang.Object` `getArray​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`int` `getBaseType()`
`java.lang.String` `getBaseTypeName()`
`java.sql.ResultSet` `getResultSet()`
`java.sql.ResultSet` `getResultSet​(long index, int count)`
`java.sql.ResultSet` `getResultSet​(long index, int count, java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.sql.ResultSet` `getResultSet​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBaseTypeName

    public java.lang.String getBaseTypeName()

Specified by:
  `getBaseTypeName` in interface `java.sql.Array`

#### getBaseType

    public int getBaseType()

Specified by:
  `getBaseType` in interface `java.sql.Array`

#### getArray

    public java.lang.Object getArray()

Specified by:
  `getArray` in interface `java.sql.Array`

#### getArray

    public java.lang.Object getArray​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                              throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.lang.Object getArray​(long index,
                                     int count)
                              throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.lang.Object getArray​(long index,
                                     int count,
                                     java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                              throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet​(long index,
                                           int count)
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet​(long index,
                                           int count,
                                           java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Array`
Throws:
  `java.sql.SQLException`

#### free

    public void free()

Specified by:
  `free` in interface `java.sql.Array`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`